Package com.pixelmed.convert

## Class TIFFFile

- java.lang.Object
- - com.pixelmed.convert.TIFFFile

-     public class TIFFFile
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.nio.ByteOrder` | `byteOrder` |
    `protected int` | `byteSizeOfOffsets` |
    `protected java.lang.String` | `filename` |
    `protected boolean` | `isBigTIFF` |
    `protected java.io.RandomAccessFile` | `raf` |
    `protected int` | `version` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TIFFFile​(java.lang.String filename)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.nio.ByteOrder` | `getByteOrder()` |
    `java.lang.String` | `getFileName()` |
    `long` | `getFilePointer()` |
    `long` | `getOffset()` |
    `int` | `getUnsigned16()` |
    `long` | `getUnsigned32()` |
    `long` | `getUnsigned64()` |
    `boolean` | `isBigTIFF()` |
    `int` | `read​(byte[] b)` |
    `int` | `read​(byte[] b, int off, int len)` |
    `int` | `read​(short[] s)` |
    `void` | `seek​(long pos)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### raf

          protected java.io.RandomAccessFile raf

    - #### byteOrder

          protected java.nio.ByteOrder byteOrder

    - #### version

          protected int version

    - #### isBigTIFF

          protected boolean isBigTIFF

    - #### byteSizeOfOffsets

          protected int byteSizeOfOffsets

    - #### filename

          protected java.lang.String filename

  - ### Constructor Detail

    - #### TIFFFile

          public TIFFFile​(java.lang.String filename)
                   throws java.io.IOException,
                          TIFFException

      Throws:
        `java.io.IOException`
        `TIFFException`

  - ### Method Detail

    - #### seek

          public void seek​(long pos)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getFilePointer

          public long getFilePointer()
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] b)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public int read​(short[] s)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getUnsigned16

          public final int getUnsigned16()
                                  throws java.io.EOFException,
                                         java.io.IOException,
                                         TIFFException

      Throws:
        `java.io.EOFException`
        `java.io.IOException`
        `TIFFException`

    - #### getUnsigned32

          public final long getUnsigned32()
                                   throws java.io.EOFException,
                                          java.io.IOException,
                                          TIFFException

      Throws:
        `java.io.EOFException`
        `java.io.IOException`
        `TIFFException`

    - #### getUnsigned64

          public final long getUnsigned64()
                                   throws java.io.EOFException,
                                          java.io.IOException,
                                          TIFFException

      Throws:
        `java.io.EOFException`
        `java.io.IOException`
        `TIFFException`

    - #### getOffset

          public final long getOffset()
                               throws java.io.EOFException,
                                      java.io.IOException,
                                      TIFFException

      Throws:
        `java.io.EOFException`
        `java.io.IOException`
        `TIFFException`

    - #### getByteOrder

          public java.nio.ByteOrder getByteOrder()

    - #### isBigTIFF

          public boolean isBigTIFF()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getFileName

          public java.lang.String getFileName()